
function completeAdjStaff(){
	if($("#isTCBBANDZF").val() == 'Y'){
		if(adjStaffForm.unableAmount.value > 0){
			if(confirm("账户余额无法抵扣直付责任赔付金额,是否完成") == true){
				if(adjStaffForm.realClmAmt.value==""){
					alert("给付结果不能为空！");
					return;
				}
				adjStaffForm.submit();
			}else{
				
			}
		}else{
			if(adjStaffForm.realClmAmt.value==""){
				alert("给付结果不能为空！");
				return;
			}
			adjStaffForm.submit();
		}
	}else{
		if(adjStaffForm.realClmAmt.value==""){
			alert("给付结果不能为空！");
			return;
		}
		adjStaffForm.submit();
	}
}

function calcAdjStaff() {

	if($("#resCode").val()=='02'||$("#resCode").val()=='05'){
		if($("#assRate").val()=='' && $("#assAmt").val()==''){
			alert("请填写通融给付率或通融给付金额！");
			return;
		}
	}
	var request=getFormJson("adjStaffForm");
//	alert(JSON.stringify(request));
	$.ajax({
		type : "POST",
		url : "calcAdjStaff.do",
		contentType:"application/json; charset=UTF-8",
		data : JSON.stringify(request),
		success : function(data) {
//			alert(data.usedPayDays);
			$("#calcClmAmt").val(data.calcClmAmt);
			$("#realClmAmt").val(data.calcClmAmt);
			$("#usedPayLimit").val(data.usedPreyearLmt);
			$("#usedLimitDays").val(data.usedPayDays);
			$("#usedLmtPayDays").val(data.usedPayDays);
			$("#usedPersonalAmt").val(data.usedPersonalAmt);
			$("#usedCommonAmt").val(data.usedCommonAmt);
			$("#usedFreeYearAmt").val(data.usedDeductible);
			$("#payPersonalAccountAmt").val(data.payPersonalAccountAmt);
			$("#payCommonAccountAmt").val(data.payCommonAccountAmt);
			$("#dePersonalAccountAmt").val(data.dePersonalAccountAmt);
			$("#deCommonAccountAmt").val(data.deCommonAccountAmt);
			/**
			 * 团长补B款直付服务需求:二、理算界面改造(2)点
			 * 2016-12-30开发，2017-01-13上线
			 * */
			/*
			if(($("#accType").val() == '12' || $("#accType").val() == '13') && $("#isTCBBANDZF").val() == 'Y'){
				$("#directPaymentAmount1").val("");
				$("#directPaymentAmount2").val("");
			}else if($("#accType").val() == '04' && $("#isTCBBANDZF").val() == 'Y'){
				$("#directPaymentAmount1").val(data.directPaymentAmount1);
				$("#directPaymentAmount2").val(data.directPaymentAmount2);
			}*/
			if($("#isTCBBANDZF").val() == 'Y'){
				$("#directPaymentAmount1").val(data.directPaymentAmount1);
				$("#directPaymentAmount2").val(data.directPaymentAmount2);
			}
			
			if(data.unableAmount > 0){ //无法抵扣金额>0,求描述标红
				$("#unableAmount").attr('style', 'color: red');
			}else{
				$("#unableAmount").attr('style', '');
			}
			$("#unableAmount").val(data.unableAmount);
//			$("#inWaitingPeriod").val(data.inWaitingPeriod);
//			$("#inBackPeriod").val(data.inBackPeriod);
			/**REQHOP8-170407-244 团长补B款政通特殊化处理需求 2017-05-12 add lyd start**/
			$("#relationship").val(data.relationship);
			/**REQHOP8-170407-244 团长补B款政通特殊化处理需求 2017-05-12 add lyd end**/
			calcAfterPay();
		},
		error : function() {
			alert("员福行销类计算出错！");
			return;
		}
	});
}

var flag=true;//只第一次提示
function useClick(check){ 
	var css = $(check).attr("class");
	var useCommonAccountAmt = $("#useCommonAccountAmt").val();
	if("check_no1"==css){ 
		if(useCommonAccountAmt=="" || useCommonAccountAmt=="N"){
			if(flag && confirm("该团体无法自动使用公共保额，是否已取得单位授权本件使用公共保额")){
				$("#useCommonAccountAmt").val("Y");
				$(check).attr("class","check_yes1");
			}
			if(!flag){
				$("#useCommonAccountAmt").val("Y");
				$(check).attr("class","check_yes1");
			}
			flag = false;
		}else{
			$("#useCommonAccountAmt").val("Y");
			$(check).attr("class","check_yes1");
		}
	}else
	if("check_yes1"==css){
		if(useCommonAccountAmt=="Y"){
			//lyd
			//$("#payPersonalAccountAmt").val($("#commonAccountAmt").val());
			if(flag && confirm("该团体可自动使用公共保额，是否取消自动使用公共保额")){
				$("#useCommonAccountAmt").val("N");
				$(check).attr("class","check_no1");
			}
			if(!flag){
				$("#useCommonAccountAmt").val("N");
				$(check).attr("class","check_no1");
			}
			flag = false;
		}else{
			$("#useCommonAccountAmt").val("N");
			$(check).attr("class","check_no1");
		}
	}
	/**REQHOP8-170407-244 团长补B款政通特殊化处理需求 2017-05-12 add lyd start**/
	if($("#realClmAmt").val() != null && $("#realClmAmt").val() != ""){
		calcAfterPay();
	}
	/**REQHOP8-170407-244 团长补B款政通特殊化处理需求 2017-05-12 add lyd end**/
}

function calcAfterPay(){
	var remainPrem = $("#remainPrem").val();
	var personalAccountAmt = parseFloat($("#personalAccountAmt").val());  //个人账户余额
	var commonAccountAmt = parseFloat($("#commonAccountAmt").val());
	var realClmAmt = $("#realClmAmt").val();
	//7、	赔付后剩余保额=剩余保额-本次给付金额；
	var afterPayRemainPrem = remainPrem-realClmAmt;

	if(afterPayRemainPrem<0)afterPayRemainPrem=0;
	$("#afterPayRemainPrem").val(afterPayRemainPrem.toFixed(2));
	
	//8、	赔后个人账户余额=个人账户余额-本次给付结果；
	var payPersonalAccountAmt = personalAccountAmt-realClmAmt;
	if(payPersonalAccountAmt<0)payPersonalAccountAmt=0;
	$("#payPersonalAccountAmt").val(payPersonalAccountAmt.toFixed(2));
	
	//9、判断给付是否用到公共账户，若未用到，赔后公共账户余额=公共账户余额；若用到，赔后公共账户余额=公共账户余额+个人账户余额-给付结果；
	var useCommonAccountAmt = $("#useCommonAccountAmt").val();
	if(useCommonAccountAmt=="" || useCommonAccountAmt=="N" || realClmAmt<=personalAccountAmt){
		$("#payCommonAccountAmt").val(commonAccountAmt);
	}else{
		var payCommonAccountAmt = commonAccountAmt+personalAccountAmt-realClmAmt;
		if(payCommonAccountAmt<0)payCommonAccountAmt=0;
		$("#payCommonAccountAmt").val(payCommonAccountAmt.toFixed(2));
		
//		var check_css=$("#check_commonAccout").attr("class");
//		if("check_no1"==check_css){
//			payCommonAccountAmt=personalAccountAmt-realClmAmt;
//			if(payCommonAccountAmt<0){
//				payCommonAccountAmt=commonAccountAmt;
//			}
//			$("#payCommonAccountAmt").val(payCommonAccountAmt.toFixed(2));
//		}
		
	}	
	
	/**REQHOP8-170407-244 团长补B款政通特殊化处理需求 2017-05-12 add lyd start**/
	var isTCBBANDZT = $("#isTCBBANDZT").val();
	var relationship = $("#relationship").val();
	//政通特殊化，并且与主被保人关系为：连带,情况下的金额计算(为主被保人理算逻辑不变)
	if(relationship == 1 && isTCBBANDZT == "Y"){
		if(personalAccountAmt < realClmAmt){//余额不足
			//同意使用同公共账户
			alert(useCommonAccountAmt);
			if(useCommonAccountAmt == "Y"){
				//个人账户余额和赔付金额差值
				var temp = realClmAmt - personalAccountAmt;
				//赔付后个人账户余额
				$("#payPersonalAccountAmt").val(0.00);
				//公共账户余额与temp差值
				temp1 = commonAccountAmt - temp;
				//赔付后公共账户余额
				$("#payCommonAccountAmt").val((temp1 <= 0 ? 0 : temp1).toFixed(2));
			}else {//不同意使用同公共账户,林群说个人账户有多少赔多少
				$("#payCommonAccountAmt").val(0.00); 
			}
		}else{//余额足，不管钩不钩同意使用公共账户，都只扣个人咯
			//赔付后个人账户余额
			$("#payPersonalAccountAmt").val((personalAccountAmt-realClmAmt).toFixed(2));
		}
	}
	/**REQHOP8-170407-244 团长补B款政通特殊化处理需求 2017-05-12 edit add end**/
	
	//2016-12-30开发 2017-01-13上线团长补B款直付服务需求 理算界面改造 （2）点
	//赔后个人账户余额 = 个人账户余额 - 直付限额外金额
	//赔后公共账户余额 = 个人账户余额 - 直付限额外金额，如果大于0，则 - 公共账户余额
	if($("#isTCBBANDZF").val() == 'Y'){
		/**
		 * 直付限额内金额：
		 * 1、赔付责任为门（急）诊医疗费用时：精确到小数后两位 min（赔付金额、剩余直付限额） 剩余直付限额=min（门急诊责任剩余保额，个人账户余额）
		 * 2、赔付责任为药房购药保险金时：精确到小数后两位min（赔付金额、剩余直付限额）剩余直付限额=min（药房购药保险金剩余保额，个人账户余额）
		 * 3、赔付责任为体检保险金时：精确到小数后两位min（赔付金额、剩余直付限额）剩余直付限额=min（体检保险金剩余保额，个人账户余额）
		 * */
		$("#directPaymentAmount1").val("0.00");
		var directpa1 = 0;
		if(remainPrem < personalAccountAmt){ //min（门急诊责任剩余保额，个人账户余额）
				directpa1 = remainPrem;
		}else{
				directpa1 = personalAccountAmt;
		}
		
		if(directpa1*1 > $("#realClmAmt").val()*1){ //min（赔付金额、剩余直付限额）剩余直付限额
				$("#directPaymentAmount1").val($("#realClmAmt").val());
		}else{
				$("#directPaymentAmount1").val(directpa1);
		}
		
		/**
		 * 直付限额外金额：
		 * 直付限额外金额:  直付限额外金额 = 最终赔付金额 - 直付限额内金额
		 * */
		$("#directPaymentAmount2").val("0.00");
		var realClmAmt =  $("#realClmAmt").val(); //给付结果
		var drm2 = realClmAmt - $("#directPaymentAmount1").val();
		if(drm2 < 0){
				$("#directPaymentAmount2").val("0"); //直付限额外金额
		}else{
				$("#directPaymentAmount2").val(drm2.toFixed(2)); //直付限额外金额
		}
		
		/**
		 * 抵扣个人账户金额:
		 *  1、直付限额外金额-（个人账户余额-直付限额内金额）≤0，显示直付限额外金额
		 *  2、直付限额外金额-（个人账户余额-直付限额内金额）>0，个人账户余额-直付限额内金额
		 * */
		$("#dePersonalAccountAmt").val("0.00");
		var directPaymentAmount2 = $("#directPaymentAmount2").val(); //直付限额外金额
		var temp1 = personalAccountAmt -$("#directPaymentAmount1").val();
		if ( directPaymentAmount2  <= temp1 ){
				$("#dePersonalAccountAmt").val(directPaymentAmount2.toFixed(2));
		}else{
				$("#dePersonalAccountAmt").val(temp1.toFixed(2));
		}
		
		/**
		 * 抵扣公共账户金额:
		 * 1、直付限额外金额-抵扣个人账户金额≤公共账户余额，显示直付限额外金额-抵扣个人账户金额
		 * 2、直付限额外金额-抵扣个人账户金额>公共账户余额，显示公共账户余额
		 * */
		var deduction = $("#directPaymentAmount2").val() - $("#dePersonalAccountAmt").val(); //直付限额外金额-抵扣个人账户金额
		if (deduction <= commonAccountAmt) { 
				$("#deCommonAccountAmt").val(deduction.toFixed(2));
		} else {
				$("#deCommonAccountAmt").val(commonAccountAmt.toFixed(2));
		}
		
		/**
		 * 无法抵扣金额：
		 * 1、直付限额外金额-抵扣个人账户金额-抵扣公共账户金额≤0，显示为0
		 * 2、直付限额外金额-抵扣个人账户金额-抵扣公共账户金额>0时字段以红色字体显示
		 * */
		$("#unableAmount").val("0.00").attr('style', '');
		var kj2 = $("#directPaymentAmount2").val() - $("#dePersonalAccountAmt").val() - $("#deCommonAccountAmt").val();
		if(kj2 <= 0){
				$("#unableAmount").val("0").attr('style', '');
		}else{
				$("#unableAmount").val(kj2.toFixed(2)).attr('style', 'color: red');
		}
	}
}

function checkMoney(moneyInput){
	if($(moneyInput).val()!=""){
		var mny = /^([1-9][\d]{0,7}|0)(\.[\d]{1,2})?$/;
		if(!mny.test($(moneyInput).val())){
			$(moneyInput).val("");
		}
	}
}
function checkTexts(value){
	if(value.length>100) {
		value=value.substr(0,100);
		$("#reliefReason").val(value);
	}
}

function changeVal(e){
	var val = $(e).val();
	if(val > 0){
		$(e).attr('style', 'color: red');
	}else{
		$(e).attr('style', '');
	}
}
